<template>
    <div v-if="isAuthenticated">
        <b-navbar toggleable="lg" type="dark" variant="info">
            <b-navbar-brand @click="redirectTo('/')">Troov une idée !</b-navbar-brand>
            <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>
            <b-collapse id="nav-collapse" is-nav>
                <b-navbar-nav class="ml-auto">
                    <b-nav-item-dropdown right>
                        <template #button-content>
                            <em>Mon profil</em>
                        </template>
                        <template>

                        </template>
                        <b-dropdown-item @click="logout()">Déconnexion</b-dropdown-item>
                    </b-nav-item-dropdown>
                </b-navbar-nav>
            </b-collapse>
        </b-navbar>
    </div>
</template>

<script>
import { mapGetters } from 'vuex'
export default {
    name: 'Navbar',
    methods: {
        redirectTo(path) {
            this.$router.push(path)
        },
        async logout() {
            await this.$auth.logout();
            this.$router.push('login');
        }
    },
    computed: {
        ...mapGetters(['isAuthenticated'])
    },
}
</script>